"{ Package: 'cvut:stx/goodies/libsvn' }"

"{ NameSpace: SVN }"

Smalltalk::ActivityNotification subclass:#ActivityNotification
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Notifications'
!


!ActivityNotification class methodsFor:'notification'!

notify:aString
    self raiseErrorString:aString

    "Created: / 28-10-2008 / 14:15:58 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!ActivityNotification methodsFor:'default actions'!

defaultAction

    Transcript 
        show: 'SVN [info]: ';
        showCR: self description

    "Created: / 29-05-2009 / 17:15:40 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 31-05-2009 / 09:47:55 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!ActivityNotification class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: SVN__ActivityNotification.st 78 2009-06-01 06:40:26Z vranyj1 '
! !
